#include "netex.h"
#include "server.h"

// Sources:
// http://simplestcodings.blogspot.com/2010/08/secure-server-client-using-openssl-in-c.html
// https://stackoverflow.com/questions/40812836/how-to-create-chat-server-using-openssl-in-c
// https://www.cs.cmu.edu/~srini/15-441/F02/Projects/lab01/reference/part1.pdf


int main(int argc, char *argv[])
{
    netex_init();
    
    const int init_result = initialize_server(argc, argv);
    if (init_result)
    {
        WARN("Failed to initialize server. Exiting...");
        return init_result;
    }
    const int srv_start_result = server_start(); // Is now holding

    if (!srv_start_result)
    {
        netex_shutdown();
        return srv_start_result;
    }

    if (!execute_ui())
    {
        PRINT_LINE("Failed to setup srv windows!");
        getch();
        return 0;
    }

    netex_shutdown();
    return 0;
}